List Orders

The list orders API allows you to retrieve order list information with optional filters.


API Endpoint

GET
https://pgapi-sandbox.sepay.vn/v1/order

API Request

per_pageinteger

Number of orders per page (default 20)

Default: 20
pageinteger

Current page (default 1)

Default: 1
qstring

Search by keyword

order_statusenum

Filter by order status:

  • CAPTURED: Payment completed
  • CANCELLED: Cancelled
  • AUTHENTICATION_NOT_NEEDED: Awaiting payment
customer_idstring

Filter by customer ID

created_atstring

Filter by creation date (YYYY-MM-DD)

from_created_atstring

Start date (YYYY-MM-DD)

end_created_atstring

End date (YYYY-MM-DD)

sortstring

Sort order (created_at:asc, created_at:desc)

API Response

Success Response (200)
{
  "data": [
    {
      "id": "9",
      "customer_id": "2427",
      "order_id": "SEPAY-68BA83CE637C1",
      "order_invoice_number": "DH1757053857",
      "order_status": "AUTHENTICATION_NOT_NEEDED",
      "order_amount": "300000.00",
      "order_currency": "VND",
      "order_description": "Đơn hàng #1757053857",
      "authentication_status": null,
      "created_at": "2025-09-05 13:31:42",
      "updated_at": "2025-09-05 13:31:42"
    }
  ],
  "meta": {
    "per_page": 20,
    "total": 1,
    "has_more": false,
    "current_page": 1,
    "page_count": 1
  }
}
dataarray<object>
metaobject

Code Samples

>
>
>
curl --request GET \
--url 'https://pgapi-sandbox.sepay.vn/v1/order?per_page=50&page=1&q=INV_20231201&order_status=CAPTURED&customer_id=CUST_001&created_at=2023-12-01&from_created_at=2023-12-01&end_created_at=2023-12-31&sort=created_at%3Adesc' \
--header 'Authorization: Basic REPLACE_BASIC_AUTH'